/ comp / gb.opengl / glu / lookat
Glu.LookAt (gb.opengl)
Syntax

    STATIC SUB LookAt ( EyeX AS Float, EyeY AS Float, EyeZ AS Float, CenterX AS Float, CenterY AS Float, CenterZ AS Float, UpX AS Float, UpY AS Float, UpZ AS Float )

### Define a viewing transformation

#### Parameters

- EyeX, EyeY, EyeZ specifies the position of the eye point.

- CenterX, CenterY, CenterZ specifies the position of the reference point.

- UpX, UpY, UpZ specifies the direction of the up vector.

#### Description

Glu.LookAt creates a viewing matrix derived from an eye point, a reference point indicating the center of the scene, and an up vector. The matrix maps the reference point to the negative z axis and the eye point to the origin, so that, when a typical projection matrix is used, the center of the scene maps to the center of the viewport. Similarly, the direction described by the up vector projected onto the viewing plane is mapped to the positive y axis so that it points upward in the viewport. The up vector must not be parallel to the line of sight from the eye to the reference point.

The matrix generated by Glu.LookAt postmultiplies the current matrix.

### See also

Gl.Frustum Glu.Perspective